# SingleInventorySlot

open class SingleInventorySlot<T : ForInventory> : InventorySlotCompound<T>
Content copied to clipboard

## Constructors

SingleInventorySlot
Link copied to clipboard
fun SingleInventorySlot(row: Int, slotInRow: Int)
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
realSlotsWithInvType
Link copied to clipboard
open fun realSlotsWithInvType(invType: InventoryType<T>): List<Int>
Content copied to clipboard
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard
withInvType
Link copied to clipboard
open override fun withInvType(invType: InventoryType<T>): List<InventorySlot>
Content copied to clipboard

## Properties

inventorySlot
Link copied to clipboard
val inventorySlot: InventorySlot
Content copied to clipboard

## Extensions

linTo
Link copied to clipboard
infix fun <T : ForInventory> SingleInventorySlot<out T>.linTo(slot: SingleInventorySlot<out T>): InventorySlotRange<T>
Content copied to clipboard
This range contains all slots having an index between the indeces of the two given slots.
rectTo
Link copied to clipboard
infix fun <T : ForInventory> SingleInventorySlot<out T>.rectTo(slot: SingleInventorySlot<out T>): InventorySlotRange<T>
Content copied to clipboard
This range contains all slots inside of a thought rectangle with the two given slots as two opposite corners of the rectangle.